Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface CalendarDate

All Superinterfaces:
  TemporalPosition

All Known Subinterfaces:
  DateAndTime

    @UML(identifier="TM_CalDate",
         specification=ISO_19108)
    public interface CalendarDate

extends TemporalPosition

A data type that shall be used to identify temporal position within a calendar.

Method Summary
`int[]` | `getCalendarDate()` Provides a sequence of integers in which the first integer identifies a specific instance of the unit used at the highest level of the calendar hierarchy, the second integer identifies a specific instance of the unit used at the next lower level in the hierarchy, and so on.
`InternationalString` | `getCalendarEraName()` Provides the name of the calendar era to which the date is referenced.

Methods inherited from interface TemporalPosition
`getIndeterminatePosition`

Method Detail

### getCalendarEraName

    @UML(identifier="calendarEraName",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getCalendarEraName()

  Provides the name of the calendar era to which the date is referenced.

### getCalendarDate

    @UML(identifier="calDate",
         obligation=MANDATORY,
         specification=ISO_19108)
    int[] getCalendarDate()

  Provides a sequence of integers in which the first integer identifies a specific instance of the unit used at the highest level of the calendar hierarchy, the second integer identifies a specific instance of the unit used at the next lower level in the hierarchy, and so on. The format defined in ISO 8601 for dates in the Gregorian calendar may be used for any date that is composed of values for year, month and day.

  TODO:
    Should we returns an array of some primitive type instead?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.